Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.irplugin
Class ReportRunner

    java.lang.Object
      com.jaspersoft.jasperserver.irplugin.ReportRunner

All Implemented Interfaces:
  java.lang.Runnable

    public class ReportRunner

extends java.lang.Object
implements java.lang.Runnable

Author:
  gtoffoli

Field Summary
`protected static java.lang.String` | `VERSION_SUPPORT_REPORT_LOCALE`

Constructor Summary
`ReportRunner()` Creates a new instance of ReportRunner

Method Summary
`void` | `exportPrint(java.lang.String tmpDir, java.lang.String fileName, net.sf.jasperreports.engine.JasperPrint print, it.businesslogic.ireport.gui.logpane.LogTextArea lta)`
`it.businesslogic.ireport.gui.logpane.LogTextArea` | `getLta()`
`it.businesslogic.ireport.gui.MainFrame` | `getMainFrame()`
`java.util.Map` | `getMap()`
`protected java.lang.String` | `getReportLocale()`
`protected java.util.Map` | `getReportParameters()`
`RepositoryReportUnit` | `getReportUnit()`
`JServer` | `getServer()`
`void` | `run()`
`void` | `setLta(it.businesslogic.ireport.gui.logpane.LogTextArea lta)`
`void` | `setMap(java.util.Map map)`
`void` | `setReportUnit(RepositoryReportUnit reportUnit)`
`void` | `setServer(JServer server)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION_SUPPORT_REPORT_LOCALE

    protected static final java.lang.String VERSION_SUPPORT_REPORT_LOCALE

See Also:
  Constant Field Values

Constructor Detail

### ReportRunner

    public ReportRunner()

  Creates a new instance of ReportRunner

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### getReportParameters

    protected java.util.Map getReportParameters()
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getReportLocale

    protected java.lang.String getReportLocale()

### getReportUnit

    public RepositoryReportUnit getReportUnit()

### setReportUnit

    public void setReportUnit(RepositoryReportUnit reportUnit)

### getMap

    public java.util.Map getMap()

### setMap

    public void setMap(java.util.Map map)

### getServer

    public JServer getServer()

### setServer

    public void setServer(JServer server)

### getLta

    public it.businesslogic.ireport.gui.logpane.LogTextArea getLta()

### setLta

    public void setLta(it.businesslogic.ireport.gui.logpane.LogTextArea lta)

### exportPrint

    public void exportPrint(java.lang.String tmpDir,
                            java.lang.String fileName,
                            net.sf.jasperreports.engine.JasperPrint print,
                            it.businesslogic.ireport.gui.logpane.LogTextArea lta)

### getMainFrame

    public it.businesslogic.ireport.gui.MainFrame getMainFrame()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.